TAU_PROFILE_TIMER_SE(3)

NAME
TAU_PROFILE_TIMER_SET_TYPE - Changes the type of a timer

SYNOPSIS

C/C++:

TAU_PROFILE_TIMER_SET_TYPE(Profiler timer, string newname);

DESCRIPTION

TAU_PROFILE_TIMER_SET_TYPE macro changes the type associated with a timer to the newname argument.

EXAMPLE

C/C++ :

void foo() {
  TAU_PROFILE_TIMER(timer1, "foo", "int", TAU_USER);
  ...
  TAU_PROFILE_TIMER_SET_TYPE(timer1, "long");
}

SEE ALSO

TAU_PROFILE_TIMER(3)